Group: File tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Display information about users currently logged on 
Name: whowatch
Version: 1.8.6
Release: alt2_15
License: GPL-2.0-only
URL: http://wizard.ae.krakow.pl/~mike/

Source0: https://github.com/mtsuszycki/whowatch/archive/whowatch-%{version}.tar.gz
Patch0: whowatch-configure-c99.patch

BuildRequires: gcc
BuildRequires: libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel
Source44: import.info

%description
Whowatch is an interactive who-like program that displays information about the
users currently logged on to the machine, in real time. Besides standard
information (login name, tty, host, user's process), the type of the connection
(ie. telnet or ssh) is shown. You can toggle display between users' command or
idle time. You can watch processes tree, navigate in it and send INT and KILL
signals.

%prep
%setup -q
%patch0 -p1


%build
# Avoid regenerating configure script because whowatch-configure-c99.patch
# updates it directly.
touch aclocal.m4 Makefile.in src/config.h.in
%configure
make %{?_smp_mflags}

%install
install -d -m0755 %{buildroot}%{_mandir}/man1/ \
			%{buildroot}%{_bindir}
%makeinstall

%files
%doc AUTHORS ChangeLog PLUGINS.readme README TODO
%doc %{_mandir}/man1/whowatch.1*
%doc --no-dereference COPYING
%{_bindir}/whowatch

%changelog
* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.8.6-alt2_15
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.8.6-alt2_12
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.8.6-alt2_11
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.8.6-alt2_10
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.8.6-alt2_9
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.8.6-alt2_8
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.8.6-alt1_8
- update to new release by fcimport

* Thu Feb 27 2020 Igor Vlasenko <viy@altlinux.ru> 1.8.6-alt1_7
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.8.6-alt1_5
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.8.6-alt1_4
- update to new release by fcimport

* Fri Jan 25 2019 Igor Vlasenko <viy@altlinux.ru> 1.8.6-alt1_3
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.8.6-alt1_2
- update to new release by fcimport

* Fri May 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.8.6-alt1_1
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.8.5-alt1_6
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 1.8.5-alt1_4
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 1.8.5-alt1_3
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.8.5-alt1_2
- update to new release by fcimport

* Tue Mar 04 2014 Igor Vlasenko <viy@altlinux.ru> 1.8.5-alt1_1
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 1.4-alt1_13
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.4-alt1_12
- initial fc import

